function backupdetails_dbr(data) {
  new MUI.Modal({
    id: 'jv-backupdetailsWindow',
    title: UNAS._('Backup details'),
    modal: true,
    width: 900,
    height: 460,
    modalOverlayClose: false,
    data : data,
    contentURL: '/apps/bdrclient/backup_details.html?v=6.0.0'
  });
}

function bdr_alertWindowFn(data, fn) {
  var alertWindow = new MUI.Modal({
    id: 'jv-alertWindow',
    title: UNAS._(data.title || 'Tip'),
    modal: true,
    modalOverlayClose: false,
    width: 400,
    height: 160,
    data: data,
    contentURL: '/apps/bdrclient/confirmAlert.html?=v=6.0.0&'
  });
  alertWindow.callBack = function() {
    if (typeof fn == 'function') {
      fn();
    }
  };
}

function sanav(t) {
  var event = window.event || arguments.callee.caller.arguments[0];
  var that = jQuery(event.currentTarget);
  that.attr('class', 'unas_tab_sel').siblings().attr('class', 'unas_tab');
  jQuery('#jv-' + t).show().siblings().hide();
}

function showdatasetlist() {
  var event = window.event || arguments.callee.caller.arguments[0];
  var that = jQuery(event.currentTarget);
  var pnode = that.closest('div.pool-datase-titem');
  that.toggleClass('pool-o');
  pnode.find('.datasetlist').slideToggle();
}

function bdrTemplateAppend(target, template, name) {
  jQuery('#' + template).clone().attr('id', name).show().appendTo(target);
  var tagName = '#' + name;
  return jQuery(tagName);
};

(function() {

  var OnChangeLanguage_bdr = null;
  var pageTranslators_bdr = [];
  OnChangeLanguage_bdr = function(e) {
    for (var i = 0; i < pageTranslators_bdr.length; i++) {
      var node = pageTranslators_bdr[i].node;
      var p = pageTranslators_bdr[i].translateProperty;
      node[p] = window.top.UNAS._(pageTranslators_bdr[i].originalText);
    }
    function bdrTranslator(id) {
      let rt_c = document.getElementById(id);
      if (!rt_c) {
        return;
      }
      var tmp_pageTranslators = window.top.UNAS.CreateNodesTranslators(rt_c);
      pageTranslators_bdr = pageTranslators_bdr.concat(tmp_pageTranslators);
      OnChangeLanguage_bdr();
    }
    window.bdrTranslator = bdrTranslator;
  };
  OnChangeLanguage_bdr();
  window.top.UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage_bdr);
  window.addEventListener("unload", function(e) {
    window.top.UNAS.Event.removeEvent('ChangeLanguage', OnChangeLanguage_bdr);
  }, false);

})();
